Referência da APIDados de mercadoAções
Indicadores fundamentalistas (snapshot TTM)
AuthorizationBearer <token>
In: header
Path Parameters
tickerstring
Match
^[A-Z][A-Z0-9]{3}[0-9]{0,2}$Query Parameters
names?string
Lista separada por vírgula de indicadores a retornar (omitir = todos). Ex.: 'pl,roe,dy'. Nomes válidos (abreviações SEM underscore — use 'pl', não 'p_l'): pl, pvp, psr, ev_ebitda, ev_ebit, lpa, vpa, roe, roa, roic, margem_bruta, margem_ebit, margem_liquida, div_liq_ebitda, div_liq_pl, dy, payout, market_cap, price; e dinâmicos: free_float, beta, volatilidade, retorno_12m, volume_medio_2m.
at?string
Match
^\d{4}-\d{2}-\d{2}$Response Body
curl -X GET "https://api.databolsa.com/v1/stocks/string/indicators?names=string&at=string"{
"ticker": "string",
"reference_date": "string",
"is_financial": true,
"indicators": [
{
"name": "string",
"label": "string",
"value": 0,
"unit": "ratio",
"reason": "string",
"reference_date": "string",
"ttm": true,
"lineage": {
"source": "string",
"reference": "string",
"url": "string"
},
"methodology_url": "string"
}
]
}{
"type": "string",
"title": "string",
"status": 0,
"detail": "string",
"instance": "string"
}